Download it now!
Bug 50344 - Basic Macro will not run because of missing Java
Summary: Basic Macro will not run because of missing Java
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: (target:3.6.0)
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-05-25 02:41 UTC by Rainer Bielefeld Retired
Modified: 2020-06-18 04:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (161.28 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-05-25 02:41 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-05-25 02:41:51 UTC
Created attachment 62094 [details]
Sample document

Steps how to reproduce with Spreadsheet and parallel installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 5b81e2d]" (tinderbox: W2008R2@20-With-Symbol-Bytemark-Hosting, pull time 2012-05-23 22:18:38):

1. Open attached sample document
2. Make sure that your security settings in 'Tools -> Options -> LibO - Security
   -> Macro Security' will allow Basic Macro execution
3. Click on Tabelle1.A30 if Cell cursor is not already there
4. Click "3x" Button in G1
   Expected: Macro in document executed
   Actual: Error Message "com.sun.star.uno.RuntimeExceptionProviderCache [...] 
           An unexpected error occured while searching for a Java!

The Macro should copy cell content to clipboard and 3 times insert row below and paste clipboard contents to new cell belos.

I wonder why LibO searches for JAva although no Java will be required (works fine with 3.5.4 and inactive Java.
Comment 1 manj_k 2012-05-26 13:50:12 UTC
Error message reproducible (on WinXP 32b) w/
LibO-Dev_3.6.0alpha0
Win-x86@6-fast MASTER
pull time 2012-05-25 07:27:31
core:8ed3a427245a07bb787c521a178cfb421fa46854

Works fine w/
LibO-Dev_3.6.0alpha0
Win-x86@6-fast MASTER
pull time 2012-04-17 23:05:35
core:66974653c0635e9e13a277e22da33e7f2062e674
[JRE not avaible, and disabled]

Works fine w/
LibO 3.5.4 RC2
[JRE disabled]
Comment 2 manj_k 2012-06-03 08:29:32 UTC
Works for me (on WinXP 32b)
with workaround 'javavendors.xml' → https://bugs.freedesktop.org/show_bug.cgi?id=48946#c15 .

Tested w/

- LibO 3.6.0alpha1 (Build ID: 66f01b5)

- LibO-Dev_3.6.0alpha1
Win-x86@6-fast MASTER
pull time 2012-06-01 00:20:15
core:76f63f4c9b324de9a6d2e1de1c6f718a153feb26
Comment 3 Rainer Bielefeld Retired 2012-06-03 21:39:41 UTC
Works fine with server-installation of Master "LOdev 3.6.0alpha1+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: bfa9061]" (tinderbox: Win-x86@6-fast, pull time 2012-06-02 23:56:11), although that build still suffers from "Bug 46264 - 64 Bit: Java runtime not recognized"

Fixed with "Bug 49291 - CRASH at menu Tools - Macros"?

WFM for now!
Comment 4 Consts 2020-06-18 04:35:36 UTC
Bugs and documentation are entailed factors for the parts. The finances of the bugs and https://toptenwritingservices.com/essays-studymoose-com-review/ for the accessed slots or the turns. The fund of the document is applied for the removal of the bugs in the main idea and landed concepts for the discussion.